@import "@styles/utilities/variables";

.loading {
  z-index: 20000;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  padding: 2rem;
  background-color: var(--color-background);

  &::before {
    content: '';
    display: block;
    width: 10rem;
    height: 10rem;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    animation: tankMove .1s linear infinite;
  }

  &::after {
    content: 'Loading...';
    margin-top: 2rem;
    font-size: 2rem;
  }
}

@keyframes tankMove {
  from {background-image: url("../../images/engine/tanks/player-0.svg");}
  to {background-image: url("../../images/engine/tanks/player-1.svg");}
}
